var path = require('path');
var ENVINPUT = {
  DB_HOST: process.env.DB_HOST,
  DB_PORT: process.env.DB_PORT,
  DB_USER: process.env.DB_USER,
  DB_PWD: process.env.DB_PWD,
  REDIS_HOST: process.env.REDIS_HOST,
  REDIS_PORT: process.env.REDIS_PORT,
  REDIS_PWD: process.env.REDIS_PWD,
  DB_NAME: process.env.CENTER_CHANNEL_DB_NAME,
  REDIS_DB: process.env.CENTER_CHANNEL_REDIS_DB,
  APP_ENV: process.env.APP_ENV ? process.env.APP_ENV : "dev"
};
var settings = {
  env: ENVINPUT.APP_ENV,
  appKey: "201911061250",
  secret: "f99d413b767f09b5dff0b3610366cc46",
  salt: "%iatpD1gcxz7iF#B",
  cacheprefix: "centerChannel",
  usertimeout: 3600,//单位秒
  basepath: path.normalize(path.join(__dirname, '../..')),
  port: process.env.NODE_PORT || 4012,
  aliossjavaUrl: function () {
    if (this.env == "dev") {
      return "http://192.168.2.109:8080/uploadfile";
    } else {
      return "http://aliossjava-service/uploadfile";
    }
  },
  qifuPayAfterH5JumpUrl: function () {
    if (this.env == "dev") {
      return "http://tm.qifu.gongsibao.com:4012/#/home/indent_list";
    } else {
      return "http://tm.qifu.gongsibao.com/#/home/indent_list";
    }
  },
  qifuPayAfterPcJumpUrl: function () {
    if (this.env == "dev") {
      return "http://tm.qifu.gongsibao.com:4012/#/home/indent_list";
    } else {
      return "http://tm.qifu.gongsibao.com/#/home/indent_list";
    }
  },  
  qifuH5PayNotifyUrl: function () {
    if (this.env == "dev") {
      return "http://gsb.qifu.gongsibao.com:4012/tlpay/notify";
    } else {
      return "http://gsb.qifu.gongsibao.com/tlpay/notify";
    }
  },  
  paasUrl: function () {
    if (this.env == "dev") {
      return "http://p.apps.com:4001/";
    } else {
      return "https://open.gongsibao.com/";
    }
  },
  centerAppUrl: function () {
    if (this.env == "dev") {
      return "http://centerapp.apps.com:4010/";
    } else {
      return "http://center-app-service/";
    }
  },
  gatewayUrl: function () {
    if (this.env == "dev") {
      return "http://192.168.0.106:4005/";
    } else {
      return "https://channelgateway-api.gongsibao.com/";
    }
  },
  centerOrderUrl: function () {
    if (this.env == "dev") {
      return "http://centerorder.apps.com:4011/";
    } else {
      return "http://center-order-service/";
    }
  },
  reqTransferurl: function () {
    if (this.env == "dev") {
      return "http://192.168.18.61:3003/";
    } else {
      return "http://jiaxiya-service/";
    }
  },
  reqEsAddr: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return "http://43.247.184.94:7200/";//localsettings.reqEsDevUrl;
    } else {
      return "http://43.247.184.94:7200/";
    }
  },
  reqZcApi: function () {
    if (this.env == "dev") {
      return "http://zcapi.apps.com:4002/";//localsettings.reqEsDevUrl;
    } else {
      return "http://zcapi-service/";//k8s服务名称
    }
  },
  pushFqbossDataUrl: function () {
    if (this.env == "dev") {
      return "http://192.168.18.141:3000/";//localsettings.reqEsDevUrl;
    } else {
      return "https://fqgirl.gongsibao.com/";
    }
  },
  apiconfig: {
    opLogUrl: function () {
      return settings.reqEsAddr() + "center_channel_log/_doc?pretty";
    },
    opLogEsIsAdd: function () {
      return 1;
    },
  },

  homePage: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.reqHomePageDevUrl;
    } else {
      return "http://boss.gongsibao.com/";
    }
  },
  redis: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.redis;
    } else {
      return {
        host: ENVINPUT.REDIS_HOST,
        port: ENVINPUT.REDIS_PORT,
        password: ENVINPUT.REDIS_PWD,
        db: ENVINPUT.REDIS_DB,
      };
    }
  },
  database: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.database;
    } else {
      return {
        dbname: ENVINPUT.DB_NAME,
        user: ENVINPUT.DB_USER,
        password: ENVINPUT.DB_PWD,
        config: {
          host: ENVINPUT.DB_HOST,
          dialect: 'mysql',
          operatorsAliases: false,
          pool: {
            max: 5,
            min: 0,
            acquire: 90000000,
            idle: 1000000
          },
          debug: false,
          dialectOptions: {
            requestTimeout: 999999,
            // instanceName:'DEV'
          }  //设置MSSQL超时时间
        },
      };
    }
  }
};
module.exports = settings;
